Platform Agen & API Road User Tools
Konversi daya
Konversikan antara kilowatt, tenaga kuda mekanis, dan tenaga kuda metrik (PS).
Antarmuka
POST
Titik akhir REST
/api/v1/power/convertMCP
Nama alat
convert_powerPermintaan
Kirim permintaan sebagai JSON. Klien MCP meneruskan bidang yang sama dengan argumen alat.
cURLshell
curl -X POST https://roaduser.tools/api/v1/power/convert \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "content-type: application/json" \
-d '{
"value": 150,
"from": "kw",
"to": "hp"
}'Permintaan tubuhjson
{
"value": 150,
"from": "kw",
"to": "hp"
}Respon
REST membungkus hasil perhitungan dalam amplop keberhasilan standar. MCP mengembalikan data penghitungan yang sama dengan keluaran alat terstruktur.
JSON
{
"ok": true,
"data": {
"input": {
"value": 150,
"from": "kw",
"to": "hp"
},
"conversions": {
"kw": 150,
"hp": 201.1533134392542,
"ps": 203.94324259558564
},
"result": 201.1533134392542
}
}{
"ok": false,
"error": {
"code": "invalid_request",
"message": "Invalid request input."
}
}Skema
Definisi di bawah ini menunjukkan Skema JSON lengkap yang digunakan untuk memvalidasi masukan dan menjelaskan keluaran.
Skema input
{
"type": "object",
"additionalProperties": false,
"properties": {
"value": {
"type": "number",
"description": "Power value to convert. Must be finite and non-negative."
},
"from": {
"type": "string",
"enum": [
"kw",
"hp",
"ps"
],
"description": "Input power unit. hp is mechanical horsepower; ps is metric horsepower (PS)."
},
"to": {
"type": "string",
"enum": [
"kw",
"hp",
"ps"
],
"description": "Optional target unit. When omitted, all units are returned."
}
},
"required": [
"value",
"from"
]
}Skema output
{
"type": "object",
"additionalProperties": false,
"properties": {
"input": {
"type": "object",
"additionalProperties": false,
"properties": {
"value": {
"type": "number"
},
"from": {
"type": "string",
"enum": [
"kw",
"hp",
"ps"
]
},
"to": {
"type": "string",
"enum": [
"kw",
"hp",
"ps"
]
}
},
"required": [
"value",
"from"
]
},
"conversions": {
"type": "object",
"additionalProperties": false,
"properties": {
"kw": {
"type": "number"
},
"hp": {
"type": "number"
},
"ps": {
"type": "number"
}
},
"required": [
"kw",
"hp",
"ps"
]
},
"result": {
"type": "number",
"description": "Target-unit result when a target unit is supplied."
}
},
"required": [
"input",
"conversions"
]
}